# Uses of Interface
org.eclipse.ecf.filetransfer.IRemoteFile

Packages that use IRemoteFile
Package
Description
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.browse

## Uses of IRemoteFile in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that return IRemoteFile
Modifier and Type
Method
Description
`IRemoteFile[]`
IRemoteFileSystemBrowseEvent.`getRemoteFiles()`
Get the list of files associated with this browse event.

## Uses of IRemoteFile in org.eclipse.ecf.provider.filetransfer.browse

Classes in org.eclipse.ecf.provider.filetransfer.browse that implement IRemoteFile
Modifier and Type
Class
Description
`class`
`LocalRemoteFile`
Local representation of an `IRemoteFile`.
`class`
`URLRemoteFile`
Fields in org.eclipse.ecf.provider.filetransfer.browse declared as IRemoteFile
Modifier and Type
Field
Description
`protected IRemoteFile[]`
AbstractFileSystemBrowser.`remoteFiles`